/*
 ******************************************************************************
 *
 * @file     bat.h
 * @brief    bat module
 *                 
 *
 * @version  1.0
 * @date     2023/05/12   09:59:40
 * @author   Alex Xu
 *
 * Copyright (c) 2013-2099,Tkplusemi Technology Co.,Ltd.
 * All Rights Reserved
 *
 * History:
 * Revision          Date           Author            Desc
 * 1.0.0            2023/07/12      Alex          build this file
 ******************************************************************************
 */

#ifndef __BAT_H__
#define __BAT_H__
/*_____ I N C L U D E S ____________________________________________________*/

#include "define.h"

/******************************************************************************\
                          Macro definitions
\******************************************************************************/

/******************************************************************************\
                             Variables definitions
\******************************************************************************/

extern idata uint8_t bat_level;
extern bit F_batlevel_low;				//صѹ
extern bit F_batlevel_protect;			//͵籣

#if BAT_VALUE

/******************************************************************************\
                             Functions definitions
\******************************************************************************/

extern void check_bat_level(void);

#endif

#endif

