/*
 ******************************************************************************
 *
 * @file     Charger_module.h
 * @brief    charger module
 *                 
 *
 * @version  1.0
 * @date     2023/05/12   09:59:40
 * @author   Alex Xu
 *
 * Copyright (c) 2013-2099,Tkplusemi Technology Co.,Ltd.
 * All Rights Reserved
 *
 * History:
 * Revision          Date           Author            Desc
 * 1.0.0            2023/07/12      Alex          build this file
 ******************************************************************************
 */

#ifndef __CHARGER_MODULE_H__
#define __CHARGER_MODULE_H__

#include "define.h"
#if 0
// ״̬
typedef enum 
{
	CHG_STA_ING,							// 
	CHG_STA_COMPLETED,						// 
	CHG_STA_PULLOUT,						// γ
} TE_CHG_STA;


extern idata TE_CHG_STA ChgStatus;				// ϵͳ״̬
#endif

extern bit Charger_Done;

#if CHARGER_ENABLE
/*ãϵͳʼʱͨüĴREG_CHG1á

REG_CHG1 = CHG_CURRENT_300MA;

*/
#define CHG_CURRENT_100MA	0x00
#define CHG_CURRENT_200MA	0x01
#define CHG_CURRENT_250MA	0x02
#define CHG_CURRENT_300MA	0x03
#define CHG_CURRENT_350MA	0x04
#define CHG_CURRENT_400MA	0x05
#define CHG_CURRENT_450MA	0x06
#define CHG_CURRENT_500MA	0x07


#define CHG_CONSTANT_CUR_TIM		1

#define DIE_OT_RECOVER_TIM	25			//NTC󣬻ָȴ250ms¿

extern void Charger_Handler(void);
extern uint8_t PMU_NTC_Control(void);

#endif

#endif

