/*
 ******************************************************************************
 *
 * @file     userapp.h
 * @brief    userapp module
 *                 
 *
 * @version  1.0
 * @date     2023/05/12   09:59:40
 * @author   Alex Xu
 *
 * Copyright (c) 2013-2099,Tkplusemi Technology Co.,Ltd.
 * All Rights Reserved
 *
 * History:
 * Revision          Date           Author            Desc
 * 1.0.0            2023/07/12      Alex          build this file
 ******************************************************************************
 */

#ifndef __USERAPP_H__
#define __USERAPP_H__

#include "define.h"
/******************************************************************************\
                          Macro definitions
\******************************************************************************/
#define BAT_LEVEL_LOW 				20       //صͱֵ

#define LED_OFF_CNT	  				4

#define LED_ON_CNT	 	 			50			//5s

#define LED_HUXI_ON_CNT	  			85

#define LED_CHG_ON_CNT	 			200			//200s

#define LED_PAIR_CNT				7

#define LED_PAIR_Interval			2  


/******************************************************************************\
                         Typedef definitions
\******************************************************************************/

/******************************************************************************\
                    Global variables and functions
\******************************************************************************/
extern bit LED_On_Flag;

extern uint8_t LED_On_Timer;							//ledʱʱ

extern uint8_t Earphone_Chg_LED_On_Timer;    			//ledʱʱ

extern void UserAPP(void);

#endif

