/*
 ******************************************************************************
 *
 * @file     watchdog.h
 * @brief    watchdog module
 *                 
 *
 * @version  1.0
 * @date     2023/05/12   09:59:40
 * @author   Alex Xu
 *
 * Copyright (c) 2013-2099,Tkplusemi Technology Co.,Ltd.
 * All Rights Reserved
 *
 * History:
 * Revision          Date           Author            Desc
 * 1.0.0            2023/07/12      Alex          build this file
 ******************************************************************************
 */

#ifndef __WATCHDOG_H__
#define __WATCHDOG_H__

#include "define.h"

#if 0  


/******************************************************************************\
                          Macro definitions
\******************************************************************************/

#define _WDT_TIME_65ms_     	0
#define _WDT_TIME_1s_       	1

/******************************************************************************\
                             Variables definitions
\******************************************************************************/


/******************************************************************************\
                             UserCfg.Functions definitions
\******************************************************************************/

extern void Watchdog_Clear(void);
extern void Watchdog_Init(uint8_t watchdog_time );

#endif

#endif

